com.dlsc.flexgantt.swing.layer.system

## Enum IEditModeController.EditMode

- java.lang.Object
- - java.lang.Enum<IEditModeController.EditMode>
  - - com.dlsc.flexgantt.swing.layer.system.IEditModeController.EditMode

- All Implemented Interfaces:
    Serializable, Comparable<IEditModeController.EditMode>
  Enclosing interface:
    IEditModeController

      public static enum IEditModeController.EditMode
      extends Enum<IEditModeController.EditMode>

  An enumeration of possible editing states that the drag layer can be in. The state gets determined every time when a mouse MOVE event gets received. Depending on the location of the mouse cursor different states are entered. This behaviour can be highly application-dependent. Some apps want the user to be able to change the start time of a timeline object when the mouse cursor is on the left edge of the object, other apps want to be able to change the objects percentage complete value that way.
  Since:
    1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHANGE_CAPACITY` Value used when the capacity of a timeline object gets changed.
    `CHANGE_END_TIME` Value used when the end time of a timeline object gets changed.
    `CHANGE_NODE` Value used when a timeline object gets assigned to a new hierarchy node (vertical drag and drop).
    `CHANGE_NODE_AND_TIME_SPAN` Value used when a timeline object gets assigned to a new time span (horizontal drag and drop) and / or hierarchy node.
    `CHANGE_PERCENTAGE_COMPLETE` Value used when the percentage complete value of a timeline object gets changed.
    `CHANGE_START_TIME` Value used when the start time of a timeline object gets changed.
    `CHANGE_TIME_SPAN` Value used when a timeline object gets assigned to a new time span (horizontal drag and drop).
    `NONE` Value used when no editing shall occure.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IEditModeController.EditMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IEditModeController.EditMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final IEditModeController.EditMode NONE

      Value used when no editing shall occure.
      Since:
        1.0

    - #### CHANGE_END_TIME

          public static final IEditModeController.EditMode CHANGE_END_TIME

      Value used when the end time of a timeline object gets changed.
      Since:
        1.0

    - #### CHANGE_PERCENTAGE_COMPLETE

          public static final IEditModeController.EditMode CHANGE_PERCENTAGE_COMPLETE

      Value used when the percentage complete value of a timeline object gets changed.
      Since:
        1.0

    - #### CHANGE_CAPACITY

          public static final IEditModeController.EditMode CHANGE_CAPACITY

      Value used when the capacity of a timeline object gets changed.
      Since:
        1.0

    - #### CHANGE_START_TIME

          public static final IEditModeController.EditMode CHANGE_START_TIME

      Value used when the start time of a timeline object gets changed.
      Since:
        1.0

    - #### CHANGE_NODE

          public static final IEditModeController.EditMode CHANGE_NODE

      Value used when a timeline object gets assigned to a new hierarchy node (vertical drag and drop).
      Since:
        1.0

    - #### CHANGE_TIME_SPAN

          public static final IEditModeController.EditMode CHANGE_TIME_SPAN

      Value used when a timeline object gets assigned to a new time span (horizontal drag and drop).
      Since:
        1.0

    - #### CHANGE_NODE_AND_TIME_SPAN

          public static final IEditModeController.EditMode CHANGE_NODE_AND_TIME_SPAN

      Value used when a timeline object gets assigned to a new time span (horizontal drag and drop) and / or hierarchy node.
      Since:
        1.0

  - ### Method Detail

    - #### values

          public static IEditModeController.EditMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IEditModeController.EditMode c : IEditModeController.EditMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IEditModeController.EditMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.